Subject: bug#33664: 26.1; Document vars and functions in `cursor-sensor.el'

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Oct 2019 00:12:57 +0200

Drew Adams <[email-masked]> writes:

>> +1.  The bug can be closed, IMO.
>
> Oh, but one other thing:
>
> We're still saying that it's enough that
> the variable be Boolean.  OK - that's true,
> and that's perhaps all that matters to
> `cursor-sensor.el'.
>
> But what about Isearch's use of it?  There
> seems to be a disconnect of sorts, wrt
> intention.
>
> Should the variable be documented more in
> line with the Isearch use of it: encourage
> pushing to a list value instead of just
> setting to some other non-nil value?

This was part of the patch:

+(defvar cursor-sensor-inhibit nil
+  "When non-nil, suspend `cursor-sensor-mode' and `cursor-intangible-mode'.
+By convention, this is a list of symbols where each symbol stands for the
+\"cause\" of the suspension.")

So I think this has been documented now, unless I misunderstand what you
mean, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no